curl --request GET \
--url https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"aggregator": "grid_operator",
"allocation_basis": "metered",
"area_code": "10YDE-RWENET---I",
"area_kind": "metering_grid_area",
"balance_group": "11XBILANZKREIS-X",
"external_id": "<string>",
"flow_direction": "consumption",
"market_dimensions": {
"series_type": "SLS"
},
"market_meta": {
"control_area": "10YDE-RWENET---I",
"summed_series": "Z97"
},
"supplier": "9900000000001"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}List Aggregate Allocation Series
List Aggregate Allocation Series.
Aggregate Allocations are grouped into separate logical series. Markets assign the series identifiers, and Engrate tracks the dimensions for each series - like what area it applies to, flow direction, and so on.
This endpoint lets you list the individual series and their dimensions.
If a returned dimension is null, it indicates the series applies for all values of that dimension.
The list shows the aggregate allocations in the sequence of external_id, then flow_direction. To read the full list, use offset and limit to get one page at a time. total is the number of aggregate allocations that agree with the filters, on all pages.
The API gives the status code 422 in these conditions:
-
An
areafilter is not in the formatkind:code, or it has an unknown area kind. -
A
market_dimensionfilter is not in the formatkey:value. -
A
market_dimensionfilter has one key two times. -
A
market_metafilter value is not in the formatkey:value. -
A
market_metafilter repeats a key. -
A
flow_direction,aggregatororallocation_basisfilter has an unknown value. -
An
external_id,area,balance_group,supplier,market_dimensionormarket_metafilter exceeds its maximum number of values. -
offsetis less than 0 or more than its maximum, orlimitis less than 1 or more than its maximum.
curl --request GET \
--url https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engrate.io/market-access/v1alpha1/timeseries/series/aggregate-allocations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"aggregator": "grid_operator",
"allocation_basis": "metered",
"area_code": "10YDE-RWENET---I",
"area_kind": "metering_grid_area",
"balance_group": "11XBILANZKREIS-X",
"external_id": "<string>",
"flow_direction": "consumption",
"market_dimensions": {
"series_type": "SLS"
},
"market_meta": {
"control_area": "10YDE-RWENET---I",
"summed_series": "Z97"
},
"supplier": "9900000000001"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Query Parameters
Aggregator roles to read. Omit to read every role.
Available aggregator roles
-
grid_operator — Indicates the source of the aggregation is a grid operator.
-
transmission_operator — Indicates the source of the aggregation is a transmission system operator.
grid_operator, transmission_operator Allocation bases to read. Omit to read every basis.
The basis tells you where the energy data for an aggregation is coming from: Is it directly metered values from smart meters, or is it something calculated from some standard profile?
Available allocation bases
-
metered — Indicates this aggregation's data comes from directly metered energy, like from smart meters.
-
profiled — Indicates this aggregation's data is coming from a 'profile' of some kind, a pre-determined shape of consumption or production, usually coupled with some adjustment calculations, like adjusting for daily temperature or past annual metered consumption.
metered, profiled Market dimensions to filter by, as key:value. A market dimension is the market's own key and code on which it divides accounting points, for example series_type:SLS. An aggregate allocation matches when it carries every pair. See Market dimensions and metadata in each market for the keys of each market.
500Market metadata to filter by, as key:value, for example summed_series:ZA0. Market-specific metadata distinguishes aggregate allocations with the same aggregation dimensions, for example those sent at different cadences (daily, monthly). An aggregate allocation matches when its market metadata contains every pair. See Market dimensions and metadata in each market for the keys of each market.
500Was this page helpful?